Package com.pixelmed.dicom

# Class PersonIdentification

java.lang.Object
com.pixelmed.dicom.PersonIdentification

public class PersonIdentification extends Object

A class to provide support for the Person Identification Macro.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`institutionAddress`
`protected CodedSequenceItem`
`institutionCodeSequence`
`protected String`
`institutionName`
`protected AttributeList`
`list`
`protected String`
`personAddress`
`protected CodedSequenceItem[]`
`personIdentificationCodeSequence`
`protected String[]`
`personTelephoneNumbers`

## Constructor Summary

Constructors
Constructor
Description
`PersonIdentification(AttributeList list)`
Extract the contents of a Person Identification Macro from a list of attributes.
`PersonIdentification(CodedSequenceItem[] personIdentificationCodeSequence, String personAddress, String[] personTelephoneNumbers, String institutionName, String institutionAddress, CodedSequenceItem institutionCodeSequence)`
Construct the contents of a Person Identification Macro.

## Method Summary

Modifier and Type
Method
Description
`AttributeList`
`getAttributeList()`
Get the list of attributes for a Person Identification Macro.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### list

protected AttributeList list

### personIdentificationCodeSequence

protected CodedSequenceItem[] personIdentificationCodeSequence

### personAddress

protected String personAddress

### personTelephoneNumbers

protected String[] personTelephoneNumbers

### institutionName

protected String institutionName

### institutionAddress

protected String institutionAddress

### institutionCodeSequence

protected CodedSequenceItem institutionCodeSequence

## Constructor Details

### PersonIdentification

public PersonIdentification(AttributeList list) throws DicomException

Extract the contents of a Person Identification Macro from a list of attributes.

Non-standard attributes are discarded.

Parameters:
  `list` - the list of attributes that comprise the item
Throws:
  `DicomException` - if the list of attributes does not contain the required information

### PersonIdentification

public PersonIdentification(CodedSequenceItem[] personIdentificationCodeSequence, String personAddress, String[] personTelephoneNumbers, String institutionName, String institutionAddress, CodedSequenceItem institutionCodeSequence) throws DicomException

Construct the contents of a Person Identification Macro.

Parameters:
  `personIdentificationCodeSequence` -
  `personAddress` -
  `personTelephoneNumbers` -
  `institutionName` -
  `institutionAddress` -
  `institutionCodeSequence` -
Throws:
  `DicomException` - if the the required information is not present

## Method Details

### getAttributeList

public AttributeList getAttributeList() throws DicomException

Get the list of attributes for a Person Identification Macro.

Returns:
  the attribute list
Throws:
  `DicomException`